Application policy resource name requires SOA composite version number for REST service (Doc ID 2095946.1)

Last updated on JANUARY 12, 2016

Applies to:

Oracle SOA Suite - Version 12.1.3.0.0 and later
Information in this document applies to any platform.

Symptoms

On : 12.1.3.0.0 version,

Application Policy Resource Name requires SOA Composite version number for REST service

When applying the Authorization/Authentication Application Policy ( oracle/http_basic_auth_over_ssl_service_policy & oracle/binding_permission_authorization_policy ) to a SOA composite using a REST Adapter as the Exposed Service, you are forced to enter the version number of the composite when specifying the Resource Path in the Permissions. e.g /ProjectTaskValidator/1.0/ProjectTaskValidator#*


STEPS
-----------------------
On EM -> soa-infra -> security -> aplication policies
On Principal Type, select Application Role
On Principal Name search for the project
Apply Policy for Application role and add permissions
According to Note 1604585.1, set the Resource name to http://xmlns.oracle.com/ProjectTaskValidator/ProjectTaskValidator

However this generates WSM-00006, WSM-00344, WSM-07606, and WSM-07501 errors in the logs.

If you change Resource Name to: /ProjectTaskValidator/1.0/ProjectTaskValidator#* then no errors are generated, so it seems you are forced to enter the version number of the composite when specifying the Resource Path in the permissions.

Cause

Sign In with your My Oracle Support account

Don't have a My Oracle Support account? Click to get started

My Oracle Support provides customers with access to over a
Million Knowledge Articles and hundreds of Community platforms